﻿


--[[

		$title:			Natur Enemy Castbar
		$version:		r523509 R1
		
		$author:		Michael Boyle (Softrix)
		$date:			23/5/2009		
		
		$credits:		Natur Enemy Castbar [r523509-R1] is a complete rewrite
						based on the excellent addon by Naturfreund.
																		
						A big thank you goes to Krycek for his additional work on the 
						spells and glyph entries in the past versions of the addon which
						left me to concentrate more on the addon programming side  =D
						
						Krycek's Wowinterface profile and contact information can be 
						found on wowinterface.com's website at:
						
						http://www.wowinterface.com/forums/member.php?userid=33413
						
						Credits also go to Shadowed who is the author of the GTB bar 
						library which I	have modified for this addon.  The original 
						unmodified GTB library for the purpose of these credits is at:
						
						http://www.wowinterface.com/downloads/info10204-GTB-1.0.html
						
						I was going to write my own bar routines until i came across
						his excellent library.. why re-invent the wheel as they say!
		
]]--



--
--	1.	spell id
--	2.	cooldown
--	3.	glyph
--	4.	crowd control
--	5.	diminish return
--	6.	warn (rogue)
--

Natur_AbilityInfo = {

	{
		2136, -- [1]
		8, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [1]
	{
		2137, -- [1]
		8, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [2]
	{
		2138, -- [1]
		8, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [3]
	{
		8312, -- [1]
		8, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [4]
	{
		8413, -- [1]
		8, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [5]
	{
		10197, -- [1]
		8, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [6]
	{
		10199, -- [1]
		8, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [7]
	{
		27078, -- [1]
		8, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [8]
	{
		27079, -- [1]
		8, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [9]
	{
		42872, -- [1]
		8, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [10]
	{
		42873, -- [1]
		8, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [11]
	{
		120, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [12]
	{
		8492, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [13]
	{
		10159, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [14]
	{
		10160, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [15]
	{
		10161, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [16]
	{
		27087, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [17]
	{
		42930, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [18]
	{
		42831, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [19]
	{
		12051, -- [1]
		240, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [20]
	{
		53301, -- [1]
		6, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [21]
	{
		60051, -- [1]
		6, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [22]
	{
		60052, -- [1]
		6, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [23]
	{
		60053, -- [1]
		6, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [24]
	{
		53351, -- [1]
		15, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [25]
	{
		61005, -- [1]
		15, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [26]
	{
		61006, -- [1]
		15, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [27]
	{
		5116, -- [1]
		12, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [28]
	{
		62124, -- [1]
		8, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [29]
	{
		1044, -- [1]
		25, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [30]
	{
		6940, -- [1]
		120, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [31]
	{
		1038, -- [1]
		120, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [32]
	{
		1022, -- [1]
		300, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [33]
	{
		5599, -- [1]
		300, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [34]
	{
		10278, -- [1]
		300, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [35]
	{
		2825, -- [1]
		600, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [36]
	{
		2565, -- [1]
		60, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [37]
	{
		676, -- [1]
		60, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [38]
	{
		5171, -- [1]
		nil, -- [2]
		56810, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [39]
	{
		6774, -- [1]
		nil, -- [2]
		56810, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [40]
	{
		49376, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [41]
	{
		50259, -- [1]
		nil, -- [2]
		nil, -- [3]
		false, -- [4]
		true, -- [5]
		false, -- [6]
	}, -- [42]
	{
		16979, -- [1]
		15, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [43]
	{
		45334, -- [1]
		nil, -- [2]
		nil, -- [3]
		false, -- [4]
		true, -- [5]
		false, -- [6]
	}, -- [44]
	{
		5229, -- [1]
		60, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [45]
	{
		22812, -- [1]
		60, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [46]
	{
		1850, -- [1]
		180, -- [2]
		59219, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [47]
	{
		9821, -- [1]
		180, -- [2]
		59219, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [48]
	{
		33357, -- [1]
		180, -- [2]
		59219, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [49]
	{
		740, -- [1]
		600, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [50]
	{
		8918, -- [1]
		600, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [51]
	{
		9862, -- [1]
		600, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [52]
	{
		9863, -- [1]
		600, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [53]
	{
		26983, -- [1]
		600, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [54]
	{
		48446, -- [1]
		600, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [55]
	{
		48447, -- [1]
		600, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [56]
	{
		10060, -- [1]
		120, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [57]
	{
		33206, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [58]
	{
		14751, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [59]
	{
		47540, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [60]
	{
		53005, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [61]
	{
		53006, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [62]
	{
		53007, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [63]
	{
		33076, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [64]
	{
		48112, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [65]
	{
		48113, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [66]
	{
		34861, -- [1]
		6, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [67]
	{
		34863, -- [1]
		6, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [68]
	{
		34864, -- [1]
		6, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [69]
	{
		34865, -- [1]
		6, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [70]
	{
		34866, -- [1]
		6, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [71]
	{
		48088, -- [1]
		6, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [72]
	{
		48089, -- [1]
		6, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [73]
	{
		53408, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [74]
	{
		20271, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [75]
	{
		53407, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [76]
	{
		2944, -- [1]
		24, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [77]
	{
		19276, -- [1]
		24, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [78]
	{
		19277, -- [1]
		24, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [79]
	{
		19278, -- [1]
		24, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [80]
	{
		19279, -- [1]
		24, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [81]
	{
		19280, -- [1]
		24, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [82]
	{
		25467, -- [1]
		24, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [83]
	{
		48299, -- [1]
		24, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [84]
	{
		48300, -- [1]
		24, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [85]
	{
		47951, -- [1]
		360, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [86]
	{
		6346, -- [1]
		180, -- [2]
		55678, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [87]
	{
		605, -- [1]
		nil, -- [2]
		nil, -- [3]
		true, -- [4]
		true, -- [5]
		false, -- [6]
	}, -- [88]
	{
		8122, -- [1]
		30, -- [2]
		55676, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [89]
	{
		8124, -- [1]
		30, -- [2]
		55676, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [90]
	{
		10888, -- [1]
		30, -- [2]
		55676, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [91]
	{
		10890, -- [1]
		30, -- [2]
		55676, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [92]
	{
		139, -- [1]
		nil, -- [2]
		55674, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [93]
	{
		6074, -- [1]
		nil, -- [2]
		55674, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [94]
	{
		6075, -- [1]
		nil, -- [2]
		55674, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [95]
	{
		6076, -- [1]
		nil, -- [2]
		55674, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [96]
	{
		6077, -- [1]
		nil, -- [2]
		55674, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [97]
	{
		6078, -- [1]
		nil, -- [2]
		55674, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [98]
	{
		10927, -- [1]
		nil, -- [2]
		55674, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [99]
	{
		10928, -- [1]
		nil, -- [2]
		55674, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [100]
	{
		10929, -- [1]
		nil, -- [2]
		55674, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [101]
	{
		25315, -- [1]
		nil, -- [2]
		55674, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [102]
	{
		25221, -- [1]
		nil, -- [2]
		55674, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [103]
	{
		25222, -- [1]
		nil, -- [2]
		55674, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [104]
	{
		48067, -- [1]
		nil, -- [2]
		55674, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [105]
	{
		48068, -- [1]
		nil, -- [2]
		55674, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [106]
	{
		9484, -- [1]
		nil, -- [2]
		nil, -- [3]
		true, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [107]
	{
		9485, -- [1]
		nil, -- [2]
		nil, -- [3]
		true, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [108]
	{
		10955, -- [1]
		nil, -- [2]
		nil, -- [3]
		true, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [109]
	{
		34433, -- [1]
		300, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [110]
	{
		32379, -- [1]
		12, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [111]
	{
		32996, -- [1]
		12, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [112]
	{
		48157, -- [1]
		12, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [113]
	{
		48158, -- [1]
		12, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [114]
	{
		15286, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [115]
	{
		17, -- [1]
		4, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [116]
	{
		592, -- [1]
		4, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [117]
	{
		600, -- [1]
		4, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [118]
	{
		3742, -- [1]
		4, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [119]
	{
		6065, -- [1]
		4, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [120]
	{
		6066, -- [1]
		4, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [121]
	{
		10898, -- [1]
		4, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [122]
	{
		10899, -- [1]
		4, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [123]
	{
		10900, -- [1]
		4, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [124]
	{
		10901, -- [1]
		4, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [125]
	{
		25217, -- [1]
		4, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [126]
	{
		25218, -- [1]
		4, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [127]
	{
		48065, -- [1]
		4, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [128]
	{
		48066, -- [1]
		4, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [129]
	{
		6788, -- [1]
		15, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [130]
	{
		8092, -- [1]
		8, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [131]
	{
		8102, -- [1]
		8, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [132]
	{
		8103, -- [1]
		8, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [133]
	{
		8104, -- [1]
		8, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [134]
	{
		8105, -- [1]
		8, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [135]
	{
		8106, -- [1]
		8, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [136]
	{
		10945, -- [1]
		8, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [137]
	{
		10946, -- [1]
		8, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [138]
	{
		10947, -- [1]
		8, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [139]
	{
		25372, -- [1]
		8, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [140]
	{
		25375, -- [1]
		8, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [141]
	{
		48126, -- [1]
		8, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [142]
	{
		48127, -- [1]
		8, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [143]
	{
		6343, -- [1]
		6, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [144]
	{
		8198, -- [1]
		6, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [145]
	{
		8204, -- [1]
		6, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [146]
	{
		8205, -- [1]
		6, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [147]
	{
		11580, -- [1]
		6, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [148]
	{
		11581, -- [1]
		6, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [149]
	{
		25264, -- [1]
		6, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [150]
	{
		47501, -- [1]
		6, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [151]
	{
		47502, -- [1]
		6, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [152]
	{
		772, -- [1]
		nil, -- [2]
		58385, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [153]
	{
		6546, -- [1]
		nil, -- [2]
		58385, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [154]
	{
		6547, -- [1]
		nil, -- [2]
		58385, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [155]
	{
		6548, -- [1]
		nil, -- [2]
		58385, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [156]
	{
		11572, -- [1]
		nil, -- [2]
		58385, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [157]
	{
		11573, -- [1]
		nil, -- [2]
		58385, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [158]
	{
		11574, -- [1]
		nil, -- [2]
		58385, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [159]
	{
		25208, -- [1]
		nil, -- [2]
		58385, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [160]
	{
		46845, -- [1]
		nil, -- [2]
		58385, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [161]
	{
		47465, -- [1]
		nil, -- [2]
		58385, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [162]
	{
		46968, -- [1]
		20, -- [2]
		nil, -- [3]
		false, -- [4]
		true, -- [5]
		false, -- [6]
	}, -- [163]
	{
		12809, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		true, -- [5]
		false, -- [6]
	}, -- [164]
	{
		30197, -- [1]
		nil, -- [2]
		nil, -- [3]
		false, -- [4]
		true, -- [5]
		false, -- [6]
	}, -- [165]
	{
		7922, -- [1]
		nil, -- [2]
		nil, -- [3]
		false, -- [4]
		true, -- [5]
		false, -- [6]
	}, -- [166]
	{
		355, -- [1]
		8, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [167]
	{
		20252, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [168]
	{
		1680, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [169]
	{
		23920, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [170]
	{
		55694, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [171]
	{
		12975, -- [1]
		300, -- [2]
		58376, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [172]
	{
		18499, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [173]
	{
		3411, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [174]
	{
		6572, -- [1]
		5, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [175]
	{
		6574, -- [1]
		5, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [176]
	{
		7379, -- [1]
		5, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [177]
	{
		11600, -- [1]
		5, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [178]
	{
		11601, -- [1]
		5, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [179]
	{
		25288, -- [1]
		5, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [180]
	{
		25269, -- [1]
		5, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [181]
	{
		30357, -- [1]
		5, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [182]
	{
		57823, -- [1]
		5, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [183]
	{
		1161, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [184]
	{
		694, -- [1]
		60, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [185]
	{
		871, -- [1]
		300, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [186]
	{
		20230, -- [1]
		300, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [187]
	{
		1719, -- [1]
		300, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [188]
	{
		5246, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [189]
	{
		29131, -- [1]
		60, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [190]
	{
		100, -- [1]
		15, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [191]
	{
		6178, -- [1]
		15, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [192]
	{
		11578, -- [1]
		15, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [193]
	{
		57755, -- [1]
		60, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [194]
	{
		11578, -- [1]
		15, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [195]
	{
		23922, -- [1]
		6, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [196]
	{
		23923, -- [1]
		6, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [197]
	{
		23924, -- [1]
		6, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [198]
	{
		23925, -- [1]
		6, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [199]
	{
		25258, -- [1]
		6, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [200]
	{
		30356, -- [1]
		6, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [201]
	{
		47487, -- [1]
		6, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [202]
	{
		47488, -- [1]
		6, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [203]
	{
		72, -- [1]
		12, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [204]
	{
		6552, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [205]
	{
		13750, -- [1]
		300, -- [2]
		56808, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [206]
	{
		13877, -- [1]
		120, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [207]
	{
		2094, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [208]
	{
		31224, -- [1]
		90, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [209]
	{
		1833, -- [1]
		nil, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [210]
	{
		1725, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [211]
	{
		51722, -- [1]
		60, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [212]
	{
		5277, -- [1]
		180, -- [2]
		56799, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [213]
	{
		26669, -- [1]
		180, -- [2]
		56799, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [214]
	{
		8647, -- [1]
		nil, -- [2]
		56803, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [215]
	{
		8649, -- [1]
		nil, -- [2]
		56803, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [216]
	{
		8650, -- [1]
		nil, -- [2]
		56803, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [217]
	{
		11197, -- [1]
		nil, -- [2]
		56803, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [218]
	{
		11198, -- [1]
		nil, -- [2]
		56803, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [219]
	{
		26866, -- [1]
		nil, -- [2]
		56803, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [220]
	{
		48669, -- [1]
		nil, -- [2]
		56803, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [221]
	{
		14278, -- [1]
		20, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [222]
	{
		703, -- [1]
		nil, -- [2]
		56812, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [223]
	{
		8631, -- [1]
		nil, -- [2]
		56812, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [224]
	{
		8632, -- [1]
		nil, -- [2]
		56812, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [225]
	{
		8633, -- [1]
		nil, -- [2]
		56812, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [226]
	{
		11289, -- [1]
		nil, -- [2]
		56812, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [227]
	{
		11290, -- [1]
		nil, -- [2]
		56812, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [228]
	{
		26839, -- [1]
		nil, -- [2]
		56812, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [229]
	{
		26884, -- [1]
		nil, -- [2]
		56812, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [230]
	{
		48675, -- [1]
		nil, -- [2]
		56812, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [231]
	{
		48676, -- [1]
		nil, -- [2]
		56812, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [232]
	{
		1776, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [233]
	{
		13741, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [234]
	{
		13793, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [235]
	{
		13792, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [236]
	{
		16511, -- [1]
		nil, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [237]
	{
		17347, -- [1]
		nil, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [238]
	{
		17348, -- [1]
		nil, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [239]
	{
		26864, -- [1]
		nil, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [240]
	{
		48660, -- [1]
		nil, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [241]
	{
		51662, -- [1]
		nil, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [242]
	{
		408, -- [1]
		20, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [243]
	{
		8643, -- [1]
		20, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [244]
	{
		1766, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [245]
	{
		14144, -- [1]
		nil, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [246]
	{
		14148, -- [1]
		nil, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [247]
	{
		1943, -- [1]
		nil, -- [2]
		56801, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [248]
	{
		8639, -- [1]
		nil, -- [2]
		56801, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [249]
	{
		8640, -- [1]
		nil, -- [2]
		56801, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [250]
	{
		11273, -- [1]
		nil, -- [2]
		56801, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [251]
	{
		11274, -- [1]
		nil, -- [2]
		56801, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [252]
	{
		11275, -- [1]
		nil, -- [2]
		56801, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [253]
	{
		26867, -- [1]
		nil, -- [2]
		56801, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [254]
	{
		48571, -- [1]
		nil, -- [2]
		56801, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [255]
	{
		48672, -- [1]
		nil, -- [2]
		56801, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [256]
	{
		6770, -- [1]
		nil, -- [2]
		nil, -- [3]
		true, -- [4]
		true, -- [5]
		true, -- [6]
	}, -- [257]
	{
		2070, -- [1]
		nil, -- [2]
		nil, -- [3]
		true, -- [4]
		true, -- [5]
		true, -- [6]
	}, -- [258]
	{
		11297, -- [1]
		nil, -- [2]
		nil, -- [3]
		true, -- [4]
		true, -- [5]
		true, -- [6]
	}, -- [259]
	{
		51724, -- [1]
		nil, -- [2]
		nil, -- [3]
		true, -- [4]
		true, -- [5]
		true, -- [6]
	}, -- [260]
	{
		36554, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [261]
	{
		2983, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [262]
	{
		8696, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [263]
	{
		11305, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [264]
	{
		51627, -- [1]
		nil, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [265]
	{
		51628, -- [1]
		nil, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [266]
	{
		51629, -- [1]
		nil, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [267]
	{
		1856, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [268]
	{
		1857, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [269]
	{
		26889, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		true, -- [6]
	}, -- [270]
	{
		32182, -- [1]
		600, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [271]
	{
		51514, -- [1]
		45, -- [2]
		nil, -- [3]
		true, -- [4]
		true, -- [5]
		false, -- [6]
	}, -- [272]
	{
		51504, -- [1]
		8, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [273]
	{
		60043, -- [1]
		8, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [274]
	{
		51490, -- [1]
		45, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [275]
	{
		59156, -- [1]
		45, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [276]
	{
		59158, -- [1]
		45, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [277]
	{
		59159, -- [1]
		45, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [278]
	{
		8050, -- [1]
		6, -- [2]
		55447, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [279]
	{
		8052, -- [1]
		6, -- [2]
		55447, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [280]
	{
		8053, -- [1]
		6, -- [2]
		55447, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [281]
	{
		10447, -- [1]
		6, -- [2]
		55447, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [282]
	{
		10448, -- [1]
		6, -- [2]
		55447, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [283]
	{
		29228, -- [1]
		6, -- [2]
		55447, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [284]
	{
		25457, -- [1]
		6, -- [2]
		55447, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [285]
	{
		49232, -- [1]
		6, -- [2]
		55447, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [286]
	{
		49233, -- [1]
		6, -- [2]
		55447, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [287]
	{
		8056, -- [1]
		6, -- [2]
		55443, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [288]
	{
		8058, -- [1]
		6, -- [2]
		55443, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [289]
	{
		10472, -- [1]
		6, -- [2]
		55443, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [290]
	{
		10473, -- [1]
		6, -- [2]
		55443, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [291]
	{
		25464, -- [1]
		6, -- [2]
		55443, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [292]
	{
		49235, -- [1]
		6, -- [2]
		55443, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [293]
	{
		49236, -- [1]
		6, -- [2]
		55443, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [294]
	{
		61295, -- [1]
		6, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [295]
	{
		61299, -- [1]
		6, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [296]
	{
		61300, -- [1]
		6, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [297]
	{
		61301, -- [1]
		6, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [298]
	{
		3045, -- [1]
		300, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [299]
	{
		19574, -- [1]
		120, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [300]
	{
		60192, -- [1]
		30, -- [2]
		nil, -- [3]
		true, -- [4]
		true, -- [5]
		false, -- [6]
	}, -- [301]
	{
		19503, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		true, -- [5]
		false, -- [6]
	}, -- [302]
	{
		19386, -- [1]
		60, -- [2]
		nil, -- [3]
		true, -- [4]
		true, -- [5]
		false, -- [6]
	}, -- [303]
	{
		24132, -- [1]
		60, -- [2]
		nil, -- [3]
		true, -- [4]
		true, -- [5]
		false, -- [6]
	}, -- [304]
	{
		24133, -- [1]
		60, -- [2]
		nil, -- [3]
		true, -- [4]
		true, -- [5]
		false, -- [6]
	}, -- [305]
	{
		27068, -- [1]
		60, -- [2]
		nil, -- [3]
		true, -- [4]
		true, -- [5]
		false, -- [6]
	}, -- [306]
	{
		49011, -- [1]
		60, -- [2]
		nil, -- [3]
		true, -- [4]
		true, -- [5]
		false, -- [6]
	}, -- [307]
	{
		49012, -- [1]
		60, -- [2]
		nil, -- [3]
		true, -- [4]
		true, -- [5]
		false, -- [6]
	}, -- [308]
	{
		19577, -- [1]
		60, -- [2]
		nil, -- [3]
		true, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [309]
	{
		24394, -- [1]
		nil, -- [2]
		nil, -- [3]
		false, -- [4]
		true, -- [5]
		false, -- [6]
	}, -- [310]
	{
		19263, -- [1]
		180, -- [2]
		56850, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [311]
	{
		5384, -- [1]
		30, -- [2]
		57903, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [312]
	{
		1499, -- [1]
		30, -- [2]
		nil, -- [3]
		true, -- [4]
		true, -- [5]
		false, -- [6]
	}, -- [313]
	{
		14310, -- [1]
		30, -- [2]
		nil, -- [3]
		true, -- [4]
		true, -- [5]
		false, -- [6]
	}, -- [314]
	{
		14311, -- [1]
		30, -- [2]
		nil, -- [3]
		true, -- [4]
		true, -- [5]
		false, -- [6]
	}, -- [315]
	{
		14308, -- [1]
		30, -- [2]
		nil, -- [3]
		true, -- [4]
		true, -- [5]
		false, -- [6]
	}, -- [316]
	{
		14309, -- [1]
		30, -- [2]
		nil, -- [3]
		true, -- [4]
		true, -- [5]
		false, -- [6]
	}, -- [317]
	{
		12813, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [318]
	{
		14316, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [319]
	{
		14317, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [320]
	{
		27025, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [321]
	{
		49066, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [322]
	{
		49067, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [323]
	{
		27026, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [324]
	{
		49064, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [325]
	{
		49065, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [326]
	{
		13809, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [327]
	{
		13795, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [328]
	{
		14302, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [329]
	{
		14303, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [330]
	{
		14304, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [331]
	{
		14305, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [332]
	{
		27023, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [333]
	{
		49055, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [334]
	{
		49056, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [335]
	{
		49053, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [336]
	{
		49054, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [337]
	{
		34600, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [338]
	{
		6991, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [339]
	{
		18469, -- [1]
		24, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [340]
	{
		55021, -- [1]
		24, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [341]
	{
		12042, -- [1]
		180, -- [2]
		56381, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [342]
	{
		12043, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [343]
	{
		11113, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [344]
	{
		13018, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [345]
	{
		13019, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [346]
	{
		13020, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [347]
	{
		13021, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [348]
	{
		27133, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [349]
	{
		33933, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [350]
	{
		42944, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [351]
	{
		42945, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [352]
	{
		2139, -- [1]
		24, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [353]
	{
		31661, -- [1]
		20, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [354]
	{
		33041, -- [1]
		20, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [355]
	{
		33042, -- [1]
		20, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [356]
	{
		33043, -- [1]
		20, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [357]
	{
		42949, -- [1]
		20, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [358]
	{
		42950, -- [1]
		20, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [359]
	{
		11426, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [360]
	{
		13031, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [361]
	{
		13032, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [362]
	{
		13033, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [363]
	{
		27134, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [364]
	{
		33405, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [365]
	{
		43038, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [366]
	{
		43039, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [367]
	{
		45438, -- [1]
		300, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [368]
	{
		118, -- [1]
		nil, -- [2]
		nil, -- [3]
		true, -- [4]
		true, -- [5]
		false, -- [6]
	}, -- [369]
	{
		12824, -- [1]
		nil, -- [2]
		nil, -- [3]
		true, -- [4]
		true, -- [5]
		false, -- [6]
	}, -- [370]
	{
		12825, -- [1]
		nil, -- [2]
		nil, -- [3]
		true, -- [4]
		true, -- [5]
		false, -- [6]
	}, -- [371]
	{
		12826, -- [1]
		nil, -- [2]
		nil, -- [3]
		true, -- [4]
		true, -- [5]
		false, -- [6]
	}, -- [372]
	{
		61305, -- [1]
		nil, -- [2]
		nil, -- [3]
		true, -- [4]
		true, -- [5]
		false, -- [6]
	}, -- [373]
	{
		28272, -- [1]
		nil, -- [2]
		nil, -- [3]
		true, -- [4]
		true, -- [5]
		false, -- [6]
	}, -- [374]
	{
		61025, -- [1]
		nil, -- [2]
		nil, -- [3]
		true, -- [4]
		true, -- [5]
		false, -- [6]
	}, -- [375]
	{
		28271, -- [1]
		nil, -- [2]
		nil, -- [3]
		true, -- [4]
		true, -- [5]
		false, -- [6]
	}, -- [376]
	{
		31687, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [377]
	{
		44572, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [378]
	{
		122, -- [1]
		25, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [379]
	{
		865, -- [1]
		25, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [380]
	{
		6131, -- [1]
		25, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [381]
	{
		10230, -- [1]
		25, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [382]
	{
		27088, -- [1]
		25, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [383]
	{
		42917, -- [1]
		25, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [384]
	{
		33395, -- [1]
		25, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [385]
	{
		710, -- [1]
		nil, -- [2]
		56242, -- [3]
		true, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [386]
	{
		18647, -- [1]
		nil, -- [2]
		nil, -- [3]
		true, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [387]
	{
		50796, -- [1]
		12, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [388]
	{
		59170, -- [1]
		12, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [389]
	{
		59171, -- [1]
		12, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [390]
	{
		59172, -- [1]
		12, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [391]
	{
		17962, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [392]
	{
		18930, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [393]
	{
		18931, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [394]
	{
		18932, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [395]
	{
		27266, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [396]
	{
		30912, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [397]
	{
		47828, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [398]
	{
		47829, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [399]
	{
		980, -- [1]
		nil, -- [2]
		56241, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [400]
	{
		1014, -- [1]
		nil, -- [2]
		56241, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [401]
	{
		6217, -- [1]
		nil, -- [2]
		56241, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [402]
	{
		11711, -- [1]
		nil, -- [2]
		56241, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [403]
	{
		11712, -- [1]
		nil, -- [2]
		56241, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [404]
	{
		11713, -- [1]
		nil, -- [2]
		56241, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [405]
	{
		27218, -- [1]
		nil, -- [2]
		56241, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [406]
	{
		47863, -- [1]
		nil, -- [2]
		56241, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [407]
	{
		47864, -- [1]
		nil, -- [2]
		56241, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [408]
	{
		603, -- [1]
		60, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [409]
	{
		30910, -- [1]
		60, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [410]
	{
		47867, -- [1]
		60, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [411]
	{
		6789, -- [1]
		120, -- [2]
		56232, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [412]
	{
		17925, -- [1]
		120, -- [2]
		56232, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [413]
	{
		17926, -- [1]
		120, -- [2]
		56232, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [414]
	{
		27223, -- [1]
		120, -- [2]
		56232, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [415]
	{
		47859, -- [1]
		120, -- [2]
		56232, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [416]
	{
		47860, -- [1]
		120, -- [2]
		56232, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [417]
	{
		48181, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [418]
	{
		59161, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [419]
	{
		59163, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [420]
	{
		59164, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [421]
	{
		5484, -- [1]
		40, -- [2]
		56217, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [422]
	{
		17298, -- [1]
		40, -- [2]
		56217, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [423]
	{
		47241, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [424]
	{
		54817, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [425]
	{
		54879, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [426]
	{
		59673, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [427]
	{
		61610, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [428]
	{
		6358, -- [1]
		nil, -- [2]
		56250, -- [3]
		true, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [429]
	{
		18867, -- [1]
		15, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [430]
	{
		18868, -- [1]
		15, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [431]
	{
		18869, -- [1]
		15, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [432]
	{
		18870, -- [1]
		15, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [433]
	{
		18871, -- [1]
		15, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [434]
	{
		27263, -- [1]
		15, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [435]
	{
		30546, -- [1]
		15, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [436]
	{
		47826, -- [1]
		15, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [437]
	{
		47827, -- [1]
		15, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [438]
	{
		47897, -- [1]
		15, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [439]
	{
		61290, -- [1]
		15, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [440]
	{
		30283, -- [1]
		20, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [441]
	{
		30413, -- [1]
		20, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [442]
	{
		30414, -- [1]
		20, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [443]
	{
		47846, -- [1]
		20, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [444]
	{
		47847, -- [1]
		20, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [445]
	{
		50334, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [446]
	{
		5209, -- [1]
		180, -- [2]
		57858, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [447]
	{
		33786, -- [1]
		nil, -- [2]
		nil, -- [3]
		true, -- [4]
		true, -- [5]
		false, -- [6]
	}, -- [448]
	{
		1850, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [449]
	{
		9821, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [450]
	{
		33357, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [451]
	{
		339, -- [1]
		nil, -- [2]
		nil, -- [3]
		true, -- [4]
		true, -- [5]
		false, -- [6]
	}, -- [452]
	{
		1062, -- [1]
		nil, -- [2]
		nil, -- [3]
		true, -- [4]
		true, -- [5]
		false, -- [6]
	}, -- [453]
	{
		5195, -- [1]
		nil, -- [2]
		nil, -- [3]
		true, -- [4]
		true, -- [5]
		false, -- [6]
	}, -- [454]
	{
		5196, -- [1]
		nil, -- [2]
		nil, -- [3]
		true, -- [4]
		true, -- [5]
		false, -- [6]
	}, -- [455]
	{
		9852, -- [1]
		nil, -- [2]
		nil, -- [3]
		true, -- [4]
		true, -- [5]
		false, -- [6]
	}, -- [456]
	{
		9853, -- [1]
		nil, -- [2]
		nil, -- [3]
		true, -- [4]
		true, -- [5]
		false, -- [6]
	}, -- [457]
	{
		26989, -- [1]
		nil, -- [2]
		nil, -- [3]
		true, -- [4]
		true, -- [5]
		false, -- [6]
	}, -- [458]
	{
		53308, -- [1]
		nil, -- [2]
		nil, -- [3]
		true, -- [4]
		true, -- [5]
		false, -- [6]
	}, -- [459]
	{
		33831, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [460]
	{
		22842, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [461]
	{
		33763, -- [1]
		nil, -- [2]
		54826, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [462]
	{
		48450, -- [1]
		nil, -- [2]
		54826, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [463]
	{
		48451, -- [1]
		nil, -- [2]
		54826, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [464]
	{
		33878, -- [1]
		6, -- [2]
		54813, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [465]
	{
		33986, -- [1]
		6, -- [2]
		54813, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [466]
	{
		33987, -- [1]
		6, -- [2]
		54813, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [467]
	{
		48563, -- [1]
		6, -- [2]
		54813, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [468]
	{
		48564, -- [1]
		6, -- [2]
		54813, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [469]
	{
		33876, -- [1]
		nil, -- [2]
		54813, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [470]
	{
		33982, -- [1]
		nil, -- [2]
		54813, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [471]
	{
		33983, -- [1]
		nil, -- [2]
		54813, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [472]
	{
		48565, -- [1]
		nil, -- [2]
		54813, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [473]
	{
		48566, -- [1]
		nil, -- [2]
		54813, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [474]
	{
		5215, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [475]
	{
		6783, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [476]
	{
		9913, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [477]
	{
		48505, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [478]
	{
		53199, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [479]
	{
		53200, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [480]
	{
		53201, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [481]
	{
		59881, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [482]
	{
		59882, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [483]
	{
		59883, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [484]
	{
		59884, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [485]
	{
		59885, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [486]
	{
		59886, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [487]
	{
		1079, -- [1]
		nil, -- [2]
		54818, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [488]
	{
		9492, -- [1]
		nil, -- [2]
		54818, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [489]
	{
		9493, -- [1]
		nil, -- [2]
		54818, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [490]
	{
		9752, -- [1]
		nil, -- [2]
		54818, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [491]
	{
		9894, -- [1]
		nil, -- [2]
		54818, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [492]
	{
		9896, -- [1]
		nil, -- [2]
		54818, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [493]
	{
		27008, -- [1]
		nil, -- [2]
		54818, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [494]
	{
		49799, -- [1]
		nil, -- [2]
		54818, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [495]
	{
		49800, -- [1]
		nil, -- [2]
		54818, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [496]
	{
		5217, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [497]
	{
		6793, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [498]
	{
		9845, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [499]
	{
		9846, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [500]
	{
		50212, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [501]
	{
		50213, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [502]
	{
		853, -- [1]
		60, -- [2]
		54923, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [503]
	{
		5588, -- [1]
		60, -- [2]
		54923, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [504]
	{
		5589, -- [1]
		60, -- [2]
		54923, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [505]
	{
		10308, -- [1]
		60, -- [2]
		54923, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [506]
	{
		20066, -- [1]
		60, -- [2]
		nil, -- [3]
		true, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [507]
	{
		49576, -- [1]
		35, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [508]
	{
		56222, -- [1]
		8, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [509]
	{
		43265, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [510]
	{
		49936, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [511]
	{
		49937, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [512]
	{
		49938, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [513]
	{
		48743, -- [1]
		120, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [514]
	{
		48743, -- [1]
		300, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [515]
	{
		46584, -- [1]
		300, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [516]
	{
		49206, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [517]
	{
		42650, -- [1]
		1200, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [518]
	{
		49016, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [519]
	{
		52372, -- [1]
		6, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [520]
	{
		47528, -- [1]
		10, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [521]
	{
		49039, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [522]
	{
		51271, -- [1]
		60, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [523]
	{
		43265, -- [1]
		30, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [524]
	{
		47476, -- [1]
		120, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [525]
	{
		49913, -- [1]
		120, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [526]
	{
		49914, -- [1]
		120, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [527]
	{
		49915, -- [1]
		120, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [528]
	{
		49916, -- [1]
		120, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [529]
	{
		55233, -- [1]
		60, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [530]
	{
		51052, -- [1]
		120, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [531]
	{
		48707, -- [1]
		60, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [532]
	{
		49222, -- [1]
		60, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [533]
	{
		48792, -- [1]
		60, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [534]
	{
		60054, -- [1]
		120, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [535]
	{
		60439, -- [1]
		120, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [536]
	{
		60180, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [537]
	{
		60527, -- [1]
		120, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [538]
	{
		60215, -- [1]
		120, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [539]
	{
		60480, -- [1]
		120, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [540]
	{
		60180, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [541]
	{
		60305, -- [1]
		120, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [542]
	{
		60517, -- [1]
		120, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [543]
	{
		60521, -- [1]
		120, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [544]
	{
		60214, -- [1]
		120, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [545]
	{
		60471, -- [1]
		120, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [546]
	{
		42292, -- [1]
		120, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [547]
	{
		28880, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [548]
	{
		59542, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [549]
	{
		59543, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [550]
	{
		59544, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [551]
	{
		59545, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [552]
	{
		59547, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [553]
	{
		59548, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [554]
	{
		7744, -- [1]
		120, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [555]
	{
		33702, -- [1]
		120, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [556]
	{
		33697, -- [1]
		120, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [557]
	{
		20572, -- [1]
		120, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [558]
	{
		20549, -- [1]
		120, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [559]
	{
		50621, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [560]
	{
		26297, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [561]
	{
		26296, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [562]
	{
		20554, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [563]
	{
		55428, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [564]
	{
		55480, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [565]
	{
		55500, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [566]
	{
		55501, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [567]
	{
		55502, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [568]
	{
		55503, -- [1]
		180, -- [2]
		nil, -- [3]
		false, -- [4]
		false, -- [5]
		false, -- [6]
	}, -- [569]
	
	-- added fear 7/5/2009 as per request
	
	{
		5782, -- [1]
		nil, -- [2]
		nil, -- [3]
		true, -- [4]
		true, -- [5]
		false, -- [6]
	}, -- [570]
	{
		6213, -- [1]
		nil, -- [2]
		nil, -- [3]
		true, -- [4]
		true, -- [5]
		false, -- [6]
	}, -- [571]
	{
		6215, -- [1]
		nil, -- [2]
		nil, -- [3]
		true, -- [4]
		true, -- [5]
		false, -- [6]
	} -- [572]
	
	--- end of fear code.
	
};


--
--	Process Spell Information
--	Returns:  spell_id, cooldown, glyph, crowd control, diminish return, rogue warn, spell icon
--
function Natur_ProcessAbilityFired(spellid, guid)
	for count,value in ipairs(Natur_AbilityInfo) do 
		if(value[1] == spellid) then
			-- found the spell im interested in.
			local _,_, icon,_,_,_,_,_,_ = GetSpellInfo(spellid);
			return value[1], value[2], value[3], value[4], value[5], value[6], icon;
		end;
	end;	-- end of loop
end;